<%@ Page Language="c#" ContentType="application/pdf" %>
<%@ Import Namespace="System.IO" %>

<script language="C#" runat="server">
protected void Page_Load(object sender, EventArgs e)
{
	// Report
	Siberix.Report.Report report = new Siberix.Report.Report();

	// Info
	report.Info.Title = "Example";
	report.Info.Author = "Siberix Technologies, Canada";
	report.Info.Creator = "Siberix Report Writer";
	report.Info.Copyright = "2003-2012 Siberix Technologies, Canada";

	// Section
	Siberix.Report.Section.ISection section = report.AddSection();
	section.Size = Siberix.Report.PageSize.Letter;

	Siberix.Report.Text.IText text = section.AddText();
	text.Style = new Siberix.Report.Text.Style(new Siberix.Graphics.Fonts.Arial(80), Siberix.Graphics.Brushes.DarkBlue);
	text.Width = new Siberix.Report.RelativeWidth(100);
	text.Spacings.Top = 135;
	text.Alignment = Siberix.Report.TextAlignment.Center;
	text.AddContent("ASPX");

	// Publish
	report.Publish(Response.OutputStream, Siberix.Report.FileFormat.PDF);
}
</script>