Module Example

    Sub Main()

        ' Report
        Dim report As Siberix.Report.Report = New Siberix.Report.Report()

        ' Info
        report.Info.Title = "Example"
        report.Info.Author = "Siberix Technologies, Canada"
        report.Info.Creator = "Siberix Report Writer"
        report.Info.Copyright = "2003-2012 Siberix Technologies, Canada"

        ' Viewer preferences
        report.Preferences.PDF.Viewer.HideMenubar = True
        report.Preferences.PDF.Viewer.HideToolbar = True
        report.Preferences.PDF.Viewer.HideWindowUI = True

        ' Section
        Dim section As Siberix.Report.Section.ISection = report.AddSection()
        section.Size = Siberix.Report.PageSize.Letter
        section.Spacings.All = 35

        ' Publish
        report.Publish("Document.pdf", Siberix.Report.FileFormat.PDF)

        ' Save
        report.Save("Report.xml")

        ' View
        Dim process As System.Diagnostics.Process = New System.Diagnostics.Process()
        Dim info As System.Diagnostics.ProcessStartInfo = New System.Diagnostics.ProcessStartInfo("Document.pdf")
        process.StartInfo = info
        process.Start()

    End Sub

End Module
